%define uname	SpeedCrunch
%define commit	ea93b21f9498

Name:		speedcrunch
Version:	0.12.0
Release:	%mkrel 1
Summary:	Fast, high precision and powerful desktop calculator
License:	GPLv2+
Group:		Sciences/Mathematics
URL:		http://speedcrunch.org
Source0:	https://bitbucket.org/heldercorreia/speedcrunch/get/release-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5-assistant
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)


%description
SpeedCrunch is a fast, high precision and powerful desktop calculator.

Among its features are:
- high precision, up to 50 decimal digits
- to be enjoyed using keyboard
- result shown in scrollable window
- history of last expressions (use up and down arrow)
- built-in functions: abs, sqrt, pi, log, exp, ln, sin, cos, tan, sinh,
  cosh, tanh, asin, acos, atan, arsinh, arcosh, artanh
- postfix operator ! lets you compute factorials
- support for variables, e.g try x=pi/3 and then sin(x)
- special variable ans holds the last calculation result
- percent operator, try e.g. 45%*75 or price/80%
- angle mode: Alt+D for degrees, Alt+R for radians
- automatic parentheses closing, e.g. cos(pi/4 becomes cos(pi/4)

%prep
%setup -qn heldercorreia-%{name}-%{commit}

# fix git version tag name
sed -i -e 's|VERSION "master"|VERSION "%{version} (git %{date})"|' src/CMakeLists.txt

%build
pushd src
%cmake_qt5
%make_build
popd

%install
%make_install -C src/build

# use only speedcrunch svg icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -m 0644 gfx/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

rm -rf %{buildroot}%{_datadir}/pixmaps

# fix desktop file
desktop-file-install \
	--remove-category=Utility \
	--add-category=Math \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*


%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sun Jan 01 2017 akien <akien> 0.12.0-1.mga6
+ Revision: 1079240
- Version 0.12.0

* Tue Sep 06 2016 daviddavid <daviddavid> 0.11-6.git20160720.1.mga6
+ Revision: 1050264
- update to latest git snapshot (based on Qt5)
- port to Qt5
- install only speedcrunch svg icon

* Sat Feb 06 2016 umeabot <umeabot> 0.11-5.mga6
+ Revision: 940756
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-4.mga5
+ Revision: 739195
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-3.mga5
+ Revision: 689278
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 pterjan <pterjan> 0.11-2.mga5
+ Revision: 608381
- Fix popd call

* Mon Mar 10 2014 akien <akien> 0.11-1.mga5
+ Revision: 601779
- New version 0.11

* Fri Oct 18 2013 umeabot <umeabot> 0.10.1-3.mga4
+ Revision: 518537
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.10.1-2.mga3
+ Revision: 382513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 02 2012 malo <malo> 0.10.1-1.mga2
+ Revision: 204062
- spec clean-up after import from Mandriva.
- imported package speedcrunch

